@import url("https://fonts.googleapis.com/css2?family=Averia+Libre:ital,wght@0,300;0,400;0,700;1,700&family=Roboto:wght@300;400;500&display=swap");
/* Global styles */
.window-app {
  font-family: "Roboto", sans-serif;
}

.window-app .window-content {
  background: url("../ui/fond.png") repeat #fff;
}

.rollable:hover, .rollable:focus {
  color: #d44d54;
  text-shadow: 0 0 10px #eea3a3;
  cursor: url("../ui/dice/d20-red.svg") 32 24, pointer;
}

.color-white {
  color: white;
}

.grid,
.grid-2col {
  display: grid;
  grid-column: span 2 / span 2;
  grid-template-columns: repeat(2, minmax(0, 1fr));
  gap: 10px;
  margin: 10px 0;
  padding: 0;
}

.grid-3col {
  grid-column: span 3 / span 3;
  grid-template-columns: repeat(3, minmax(0, 1fr));
}

.grid-4col {
  grid-column: span 4 / span 4;
  grid-template-columns: repeat(4, minmax(0, 1fr));
}

.grid-5col {
  grid-column: span 5 / span 5;
  grid-template-columns: repeat(5, minmax(0, 1fr));
}

.grid-6col {
  grid-column: span 5 / span 5;
  grid-template-columns: repeat(5, minmax(0, 1fr));
}

.grid-7col {
  grid-column: span 7 / span 7;
  grid-template-columns: repeat(7, minmax(0, 1fr));
}

.grid-8col {
  grid-column: span 8 / span 8;
  grid-template-columns: repeat(8, minmax(0, 1fr));
}

.grid-9col {
  grid-column: span 9 / span 9;
  grid-template-columns: repeat(9, minmax(0, 1fr));
}

.grid-10col {
  grid-column: span 10 / span 10;
  grid-template-columns: repeat(10, minmax(0, 1fr));
}

.grid-11col {
  grid-column: span 11 / span 11;
  grid-template-columns: repeat(11, minmax(0, 1fr));
}

.grid-12col {
  grid-column: span 12 / span 12;
  grid-template-columns: repeat(12, minmax(0, 1fr));
}

.flex-group-center,
.flex-group-left,
.flex-group-right {
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  text-align: center;
  padding: 5px;
  border: 1px solid #999;
}

.flex-group-left {
  -webkit-box-pack: start;
  -ms-flex-pack: start;
  justify-content: flex-start;
  text-align: left;
}

.flex-group-right {
  -webkit-box-pack: end;
  -ms-flex-pack: end;
  justify-content: flex-end;
  text-align: right;
}

.flex-center {
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  text-align: center;
}

.flex-between {
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
}

.actor-sheet-top {
  background-image: url("../ui/fiche-haut.png");
  background-size: cover;
  background-position: top;
  color: #fff;
  padding-right: 15px;
  padding-left: 15px;
  padding-top: 0;
  padding-bottom: 0;
  margin: 0;
}

.actor-sheet-middle {
  background-image: url("../ui/fiche-milieu.png");
  background-size: cover;
  color: #fff;
  padding-right: 15px;
  padding-left: 15px;
  padding-top: 0;
  padding-bottom: 0;
  margin: 0;
  border: 0;
}

.actor-sheet-bottom {
  background-image: url("../ui/fiche-bas.png");
  background-size: cover;
  background-position: bottom;
  color: #fff;
  padding-right: 15px;
  padding-left: 15px;
  padding-top: 0;
  padding-bottom: 0;
}

.dice-roll .dice-total.success {
  color: inherit;
  background: #c7d0c0;
  border: 1px solid #006c00;
}

.dice-roll .dice-total.failure {
  color: inherit;
  background: #ffdddd;
  border: 1px solid #6e0000;
}

/* Styles limited to cthack sheets */
.cthack .window-content {
  background: url("../ui/cthack-green.jpg");
  background-size: cover;
  color: #fff;
  font-family: 'Averia Libre', cursive;
}

.cthack .align-left {
  text-align: left;
}

.cthack .align-right {
  text-align: right;
}

.cthack .align-center {
  text-align: center;
}

.cthack .noborder {
  border: 0;
}

.cthack input[type="text"],
.cthack input[type="number"],
.cthack input[type="password"],
.cthack input[type="date"],
.cthack input[type="time"] {
  color: #fff;
}

.cthack select {
  border: none;
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  height: 35px;
  width: 35px;
  text-align: center;
  text-align-last: center;
  -moz-text-align-last: center;
  -webkit-appearance: none;
  -moz-appearance: none;
  background-color: transparent;
  font-weight: 800;
}

.cthack option {
  color: #fff;
  background: #37372d;
}

.cthack option:checked, .cthack option:hover {
  color: #fff;
  background: #37372d;
}

.cthack ::-webkit-scrollbar {
  display: none;
}

.cthack .dialog-button {
  color: #fff;
}

.cthack nav.sheet-tabs {
  height: 40px;
}

.cthack .attack-damage {
  width: 75px;
  text-align: center;
}

.cthack .item-form {
  color: #fff;
}

.cthack .sheet-header {
  -webkit-box-flex: 0;
  -ms-flex: 0 0 360px;
  flex: 0 0 360px;
  overflow: hidden;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
  -ms-flex-direction: row;
  flex-direction: row;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-box-pack: start;
  -ms-flex-pack: start;
  justify-content: flex-start;
}

.cthack .sheet-header .profile-img {
  height: 150px;
  width: auto;
}

.cthack .sheet-header .weapon-img {
  height: 150px;
  width: auto;
}

.cthack .sheet-header .attack-img {
  height: 150px;
  width: auto;
}

.cthack .sheet-header .adrenaline-img {
  height: 20px;
  width: auto;
}

.cthack .sheet-header .archetype-img {
  height: auto;
  width: 128px;
}

.cthack .sheet-header .definition-img {
  height: auto;
  width: 50px;
}

.cthack .sheet-header .header-fields {
  -webkit-box-flex: 5;
  -ms-flex: 5;
  flex: 5;
}

.cthack .sheet-header h1.charname {
  height: 50px;
  padding: 0px;
  margin: 5px 0;
  border-bottom: 0;
}

.cthack .sheet-header h1.charname input {
  width: 100%;
  height: 100%;
  margin: 0;
}

.cthack .sheet-tabs {
  -webkit-box-flex: 0;
  -ms-flex: 0;
  flex: 0;
  font-size: 18px;
}

.cthack .tox .tox-editor-container {
  background: #fff;
}

.cthack .tox .tox-edit-area {
  padding: 0 8px;
}

.cthack .sheet-body {
  min-height: 150px;
  height: 100%;
}

.cthack .sheet-body .tab {
  min-height: 150px;
  height: 100%;
}

.cthack .sheet-body .tab .editor {
  min-height: 150px;
  height: 100%;
}

.cthack .tabs {
  height: 40px;
  border-top: 1px solid "Roboto", sans-serif;
  border-bottom: 1px solid "Roboto", sans-serif;
}

.cthack .tabs .choice {
  line-height: 40px;
  font-weight: bold;
}

.cthack .tabs .choice.active {
  text-decoration: underline;
  text-shadow: none;
}

.cthack .resource-label {
  font-weight: bold;
  text-transform: uppercase;
}

.cthack .resource-content {
  margin-top: 2px;
  margin-bottom: 2px;
}

.cthack .save {
  font-size: 18px;
}

.cthack input.save {
  color: #fff;
}

.cthack .items-list {
  list-style: none;
  margin: 7px 0;
  padding: 0;
}

.cthack .items-list .item-header {
  font-size: 16px;
}

.cthack .items-list .item {
  line-height: 24px;
  padding: 3px 0;
  border-bottom: 1px solid white;
  font-size: 16px;
}

.cthack .items-list .item .item-image {
  -webkit-box-flex: 0;
  -ms-flex: 0 0 24px;
  flex: 0 0 24px;
  margin-right: 5px;
}

.cthack .items-list .item img {
  display: block;
}

.cthack .items-list .item-name {
  margin: 0;
}

.cthack .items-list .item-ability-description {
  margin: 0;
}

.cthack .items-list .item-controls {
  -webkit-box-flex: 0;
  -ms-flex: 0 0 86px;
  flex: 0 0 86px;
  text-align: right;
}

.cthack .items-list .item-summary {
  -webkit-box-flex: 0;
  -ms-flex: 0 0 100%;
  flex: 0 0 100%;
  font-size: 12px;
  line-height: 16px;
  padding: 0.25em 0.5em;
  border-top: 1px solid #c9c7b8;
}

.cthack .sheet-archetype .sheet-body {
  height: 400px;
}

.cthack .sheet-archetype select {
  -webkit-box-flex: 0;
  -ms-flex: 0 0 150px;
  flex: 0 0 150px;
  -moz-text-align-last: center;
  text-align-last: center;
}
